Skip to main content
User Details API
curl --request GET \
  --url https://api.pazy.io/v1.0/company/entities

Authentication

All requests require an API key in the request headers. Headers:
Authorization: Api-Key YOUR_API_KEY

Code Examples

curl -X GET https://api.pazy.io/v1.0/company/entities \
  -H "Authorization: Api-Key YOUR_API_KEY"

Success Response

HTTP Status: 200 OK Response Fields:
FieldTypeDescription
okbooleanIndicates whether the request was successful
data.entities[].orgIdentifierIdstringUnique identifier for the organization entity
data.entities[].entityTypestringType of the entity identifier e.g. GSTIN, PAN
data.entities[].entityValuestringValue of the entity identifier e.g. the GSTIN number
data.entities[].businessNamestringName of the business associated with the entity
data.entities[].statestringIndian state where the entity is registered
data.context.countnumberTotal number of entities
data.context.accountingPlatformstringAccounting platform integrated e.g. TALLY, ZOHO

Response Example

{
    "ok": true,
    "data": {
        "entities": [
            {
                "orgIdentifierId": "82",
                "entityType": "GSTIN",
                "entityValue": "27AABCU6223H1YE",
                "businessName": "John Company",
                "state": "Maharashtra"
            },
            {
                "orgIdentifierId": "4",
                "entityType": "GSTIN",
                "entityValue": "29AAJCM3528P1YR",
                "businessName": "Doe Company",
                "state": "Karnataka"
            }
        ],
        "context": {
            "count": 2,
            "accountingPlatform": "TALLY"
        }
    }
}

Error Responses

Org Not Found

HTTP Status: 404 Not Found
{
  "ok": false,
  "error": {
    "code": "ORGANIZATION_NOT_FOUND",
    "message": "Org not found"
  }
}

Access Denied

HTTP Status: 403 Forbidden
{
  "ok": false,
  "error": {
    "code": "ACCESS_DENIED",
    "message": "Access denied: Only admin can view this details"
  }
}

Authentication Errors

HTTP Status: 401 Unauthorized
{
  "ok": false,
  "error": {
    "code": "MISSING_CREDENTIALS",
    "message": "Missing Credentials"
  }
}
{
  "ok": false,
  "error": {
    "code": "INVALID_API_KEY",
    "message": "Invalid API Key"
  }
}

Permission Errors

HTTP Status: 403 Forbidden
{
  "ok": false,
  "error": {
    "code": "INSUFFICIENT_PERMISSIONS",
    "message": "Permission check failed - PERMISSION_CHECK_FAILED"
  }
}

Best Practices

Access Control

  • You can view only if you are ‘admin’.